<?
function fecha_a_mysql($fecha){ 
    ereg( "([0-9]{1,2})-([0-9]{1,2})-([0-9]{2,4})", $fecha, $mifecha); 
    $lafecha=$mifecha[3]."-".$mifecha[2]."-".$mifecha[1]; 
    if($lafecha == "--") $lafecha = ""; 
    return $lafecha; 
} 

function suma_fechas($fecha,$ndias){         
    if (preg_match("/[0-9]{1,2}\/[0-9]{1,2}\/([0-9][0-9]){1,2}/",$fecha)) 
        list($dia,$mes,$anno)=split("/", $fecha); 
    if (preg_match("/[0-9]{1,2}-[0-9]{1,2}-([0-9][0-9]){1,2}/",$fecha)) 
        list($dia,$mes,$anno)=split("-",$fecha); 
    $nuevafecha = date("d-m-Y", strtotime("$fecha + $ndias days")); 
    return ($nuevafecha);   
} 

echo suma_fechas(fecha_a_mysql("28-12-2007"),5);  
?>